<?php

namespace X_Currency\App\Service_Providers;

use X_Currency\App\Supports\Schedule;
use X_Currency\Bootstrap\Service_Provider;
use X_Currency\Routes\Api;

defined( 'ABSPATH' ) || exit;

class Api_Service_Provider implements Service_Provider
{
    public function boot()
    {
        add_action( 'init', [$this, 'init'] );
    }

    public function init()
    {
        new Api;

        Schedule::instance()->run();
    }
}
