<?php

namespace X_Currency\App\Utils;

defined( 'ABSPATH' ) || exit;

class Settings
{
    const SETTINGS_OPTION_KEY = 'x-currency-settings';

    public static function settings_data()
    {
        $data = get_option( self::SETTINGS_OPTION_KEY );

        if ( false !== $data ) {
            $data = unserialize( $data );
        } else {
            $data = [];
        }

        return $data;
    }
}
