<?php

/**
 * Plugin Name: X-Currency
 * Plugin URI: https://doatkolom.com/x-currency
 * Description: Currency Switcher for WooCommerce custom currency, exchange rates, currency by country, pay in selected currency
 * Version: 1.3.2
 * Author: DoatKolom
 * Author URI: https://doatkolom.com/
 * Text Domain: x-currency
 * Domain Path: /languages/
 * Requires at least: WP 5.0
 * Tested up to: WP 6.1
 * Requires PHP: 7.0
 * License: GPLv2 or later
 */

use X_Currency\Bootstrap\Bootstrap;

defined( 'ABSPATH' ) ?: exit;

define( 'X_CURRENCY_DIR', trailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'X_CURRENCY_URL', trailingslashit( plugins_url( '/', __FILE__ ) ) );

require_once __DIR__ . '/autoloader.php';

class X_Currency
{
    const POST_TYPE          = 'x-currency';
    const POST_TYPE_SWITCHER = 'x-currency-switcher';
    const X_CURRENCY_RATES   = 'x-currency-rates';

    public static function version()
    {
        return '1.3.2';
    }
}

Bootstrap::boot();
